FS_SETVOL(1)

NAME
fs_setvol - Set quota and messages for a volume containing a file or directory

SYNOPSIS
fs setvol << [-path <dir/file path+] >>>
    << [-max <disk space quota in 1K units] >>>
    << [-offlinemsg <offline message] >>> [-help]

fs setv << [-p <dir/file path+] >>>
    << [-ma <disk space quota in 1K units] >>>
    << [-o <offline message] >>> [-h]

fs sv << [-p <dir/file path+] >>>
    << [-ma <disk space quota in 1K units] >>>
    << [-o <offline message] >>> [-h]

DESCRIPTION
The fs setvol command sets the quota (maximum possible size) of the read/write volume that contains each directory or file named by the -path argument. To associate a message with the volume which then appears in the output of the fs examine command, include the -offlinemsg argument.

To display all of the settings made with this command, use the fs examine command. The fs listquota command reports a fileset's quota, and the fs quota command the percent of quota used.

To set quota on one volume at a time, use the fs setquota command.

CAUTIONS
Currently, the maximum size of a volume is 2 terabytes (2^31 bytes) and the maximum size of a /vicepX partition on a fileserver is also 2 terabytes. The fileserver will not report an error when it has access to a partition larger than 2 terabytes, but it will probably fail if the administrator attempts to use more than 2 terabytes of space. In addition, there are reports of erroneous disk usage numbers when vos partinfo or other OpenAFS disk reporting tools are used with partitions larger than 2 terabytes.

OPTIONS

-path <dir/file path>+
    Names each file or directory for which to set the host volume's quota and offline message. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

    Specify the read/write path to the file or directory, to avoid the failure that results from attempting to change a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.abc.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-max <disk space quota in 1K units>
    Sets the maximum amount of file server disk space the volume can occupy. Provide a positive integer to indicate the number of one-kilobyte blocks (1024 is one megabyte). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

    If the -path argument is omitted (so that the command sets the quota of the volume housing the current working directory), the -max switch must be provided.

-offlinemsg
    Associates a message with the volume which then appears in the output of the fs examine command. Its intended use is to explain why the volume is currently offline.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command imposes a 6500 kilobyte quota on the volumes mounted at the home directories /afs/abc.com/usr/smith and /afs/abc.com/usr/pat:

   % cd /afs/abc.com/usr
   % fs setvol -path smith pat -max 6500B<>

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group.

SEE ALSO
the fs_examine(1) manpage, the fs_listquota(1) manpage, the fs_mkmount(1) manpage, the fs_quota(1) manpage, the fs_setquota(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.